org.apache.torque.criteria

## Class CriterionTest

- java.lang.Object
- - org.apache.torque.BaseTestCase
  - - org.apache.torque.criteria.CriterionTest

-     public class CriterionTest
      extends BaseTestCase

  Test for the Criterion class.
  Version:
    $Id: CriterionTest.java 1855056 2019-03-08 17:26:27Z tv $

- - ### Field Summary

    - ### Fields inherited from class org.apache.torque.BaseTestCase

      `CONFIG_FILE, database, databaseMap, databaseMysql, databaseOracle, databasePostgresql, integerColumnMap, stringColumnMap, stringColumnMap2, stringColumnMap3, tableMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CriterionTest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `testCopyConstructorCompositeCriterion()` Tests that a criterion is copied when being added as top level criterion using where (also tests and).
    `void` | `testCopyConstructorSimpleCriterion()` Tests that a criterion is copied when being added as top level criterion using where (also tests and).
    `void` | `testCopyConstructorSqlCriterion()` Tests that a criterion is copied when being added as top level criterion using where (also tests and).
    `void` | `testCriterionAndedToCriterionGetsCopied()` Tests that a criterion is copied when being anded to a top level criterion.
    `void` | `testCriterionAndedToTopLevelCriterionGetsCopied()` Tests that a criterion is copied when being anded to a top level criterion.
    `void` | `testCriterionOredToCriterionGetsCopied()` Tests that a criterion is copied when being ored to a top level criterion.
    `void` | `testCriterionOredToTopLevelCriterionGetsCopied()` Tests that a criterion is copied when being ored to a top level criterion.
    `void` | `testHashCodeAndEquals()`
    `void` | `testToStringCompositeCriterion()`
    `void` | `testToStringSingleCriterion()`

    - ### Methods inherited from class org.apache.torque.BaseTestCase

      `setUp`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CriterionTest

          public CriterionTest()

  - ### Method Detail

    - #### testHashCodeAndEquals

          @Test
          public void testHashCodeAndEquals()

    - #### testToStringSingleCriterion

          @Test
          public void testToStringSingleCriterion()

    - #### testToStringCompositeCriterion

          @Test
          public void testToStringCompositeCriterion()

    - #### testCriterionAndedToTopLevelCriterionGetsCopied

          @Test
          public void testCriterionAndedToTopLevelCriterionGetsCopied()

      Tests that a criterion is copied when being anded to a top level criterion. checks TORQUE-243.

    - #### testCriterionOredToTopLevelCriterionGetsCopied

          @Test
          public void testCriterionOredToTopLevelCriterionGetsCopied()

      Tests that a criterion is copied when being ored to a top level criterion. checks TORQUE-243.

    - #### testCriterionAndedToCriterionGetsCopied

          @Test
          public void testCriterionAndedToCriterionGetsCopied()

      Tests that a criterion is copied when being anded to a top level criterion. checks TORQUE-243.

    - #### testCriterionOredToCriterionGetsCopied

          @Test
          public void testCriterionOredToCriterionGetsCopied()

      Tests that a criterion is copied when being ored to a top level criterion. checks TORQUE-243.

    - #### testCopyConstructorSimpleCriterion

          @Test
          public void testCopyConstructorSimpleCriterion()

      Tests that a criterion is copied when being added as top level criterion using where (also tests and). checks TORQUE-243.

    - #### testCopyConstructorCompositeCriterion

          @Test
          public void testCopyConstructorCompositeCriterion()

      Tests that a criterion is copied when being added as top level criterion using where (also tests and). checks TORQUE-243.

    - #### testCopyConstructorSqlCriterion

          @Test
          public void testCopyConstructorSqlCriterion()

      Tests that a criterion is copied when being added as top level criterion using where (also tests and). checks TORQUE-243.

Copyright © 2000–2020 The Apache Software Foundation. All rights reserved.